SDL_bframebuffer.h File Reference
`#include <SupportDefs.h>`
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bframebuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DRAWTHREAD

## Functions

int | BE_CreateWindowFramebuffer (_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)
int | BE_UpdateWindowFramebuffer (_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)
void | BE_DestroyWindowFramebuffer (_THIS, SDL_Window *window)
int32 | BE_DrawThread (void *data)

## Macro Definition Documentation

#define DRAWTHREAD

Definition at line 29 of file SDL_bframebuffer.h.

## Function Documentation

int BE_CreateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint32 * | format,
|  | void ** | pixels,
|  | int * | pitch
| ) |  |

void BE_DestroyWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int32 BE_DrawThread | ( | void * | data | ) |

Referenced by SDL_BWin::SDL_BWin().

int BE_UpdateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const SDL_Rect * | rects,
|  | int | numrects
| ) |  |

Referenced by SDL_BApp::_HandleMouseMove().